@import '../../../assets/styles/common.scss';

.challenge-success {
  position: relative;
  padding: 7.4rem 13.4rem;
  text-align: center;
  letter-spacing: 0;

  &__cross {
    position: absolute;
    top: 0;
    right: 3rem;
    cursor: pointer;

    &-img {
      width: 1.5rem;
      max-width: 1.5rem;
    }
  }

  &__header {
    margin: 0;
    font-style: italic;
    font-size: 5rem;
  }

  &__subHeader {
    margin: 1.2rem 0 0;
    font-style: italic;
    font-size: 2.3rem;
    opacity: 0.7;
  }

  &__share {
    display: flex;
    justify-content: space-between;
    width: 70%;
    margin: 4.5rem auto 0;

    & .SocialMediaShareButton {
      cursor: pointer;
    }

    & .SocialMediaShareButton:focus {
      outline: none;
    }

    .SocialMediaShareButton svg {
      width: 8.8rem;
      height: 8.8rem;
      border-radius: 1rem;
    }
  }

  &__link {
    margin-top: 6rem;
    padding: 0 3.2rem;
    text-align: left;

    &-label {
      font-style: italic;
      font-size: 2.2rem;
    }

    &-box {
      position: relative;
      padding: 2rem 3.2rem;
      border: 1px solid $white;
      border-radius: 2px;
      font-style: italic;
      font-size: 2.5rem;
      color: $blue-light-one;

      img {
        height: 14.2rem;
      }
    }

    &-copy {
      position: absolute;
      top: -3.2rem;
      right: -5.2rem;
      cursor: pointer;
    }
  }

  &__redirect {
    margin-top: 8rem;
    padding: 0 5rem;
    font-size: 2.3rem;
    opacity: 0.7;

    &-link {
      margin-left: 5px;
      color: #c1272d;
      text-decoration: underline;
      cursor: pointer;
    }
  }

  @media only screen and (max-width: 1400px) {
    padding: 4rem 3rem;

    &__header {
      font-size: 3.5rem;
    }

    &__subHeader {
      font-size: 2rem;
    }

    &__share {
      .SocialMediaShareButton svg {
        width: 6rem;
        height: 6rem;
        border-radius: .8rem;
      }
    }

    &__link {
      margin-top: 3rem;

      &-box {
        height: 2.6rem;
        padding: 1rem 2.2rem;
        font-size: 2rem;

        img {
          height: 9.2rem;
        }
      }

      &-copy {
        top: -2rem;
      }
    }

    @media only screen and (max-width: 768px) {
      &__share {
        width: 100%;
        margin:4.3rem 0 0;
      }
    }
  }
}
